#version=RHEL8
# Use graphical install
graphical

url --url="http://ipaddress/redhat/r8"

lang en_US.UTF-8
keyboard  --xlayouts='us'
firstboot --enable
selinux   --disabled
timezone Asia/Shanghai --isUtc --nontp
skipx

zerombr
bootloader --location=mbr
clearpart --all --initlabel
part /boot --fstype="ext4" --size=1024
part swap  --fstype="swap" --size=4096
part /     --fstype="xfs"  --grow

rootpw --plaintext 123456
reboot

%post --interpreter=/usr/bin/bash
useradd admin
echo 123456 | passwd --stdin admin
sed -i 's/^#PermitRootLogin prohibit-password/PermitRootLogin yes/g' /etc/ssh/sshd_config
%end

%packages
@^graphical-server-environment
@container-management
@development
@graphical-admin-tools
@headless-management
@infiniband
@legacy-unix
@network-file-system-client
@performance
@remote-desktop-clients
@remote-system-management
@rpm-development-tools
@system-tools
@web-server
%end

%addon com_redhat_kdump --disable --reserve-mb='auto'
%end

%anaconda
pwpolicy root --minlen=6 --minquality=1 --notstrict --nochanges --notempty
pwpolicy user --minlen=6 --minquality=1 --notstrict --nochanges --emptyok
pwpolicy luks --minlen=6 --minquality=1 --notstrict --nochanges --notempty
%end
